Over Macho Grande

Friday, April 20, 2007

What a warning message!

I'm reinstalling Solaris 9 OE and "smpatch" is running on the SB1000 right now.
The following error message appeared on the screen:

CRITICAL: The patch 112838-12 makes the kernel unstable, is obsolete or is forbidden by policy.

How's that for automated patch management?

Sunday, April 08, 2007

MIT Kerberos for Solaris

I compiled the latest version of MIT Kerberos for Solaris tonight. All in all not too painful. I hadn't done any compilation since December, so I forgot that it's best to use bash instead of tcsh as my configuration shell.

For future reference, here's the configure options:

./configure --prefix=/usr/local --without-krb4 --with-tcl=/usr/sfw --enable-shared